## org.apache.lucene.search
Class AssertingCollector

    java.lang.Object
      org.apache.lucene.search.Collector
          org.apache.lucene.search.AssertingCollector

    public class AssertingCollector

extends Collector

Wraps another Collector and checks that acceptsDocsOutOfOrder is respected.

Method Summary
`boolean` `acceptsDocsOutOfOrder()`
`void` `collect(int doc)`
`void` `setNextReader(AtomicReaderContext context)`
`void` `setScorer(Scorer scorer)`
`static Collector` `wrap(Random random, Collector other, boolean inOrder)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### wrap

    public static Collector wrap(Random random,
                                 Collector other,
                                 boolean inOrder)

### setScorer

    public void setScorer(Scorer scorer)
                   throws IOException

  Specified by:
    `setScorer` in class `Collector`
  Throws:
    `IOException`

### collect

    public void collect(int doc)
                 throws IOException

  Specified by:
    `collect` in class `Collector`
  Throws:
    `IOException`

### setNextReader

    public void setNextReader(AtomicReaderContext context)
                       throws IOException

  Specified by:
    `setNextReader` in class `Collector`
  Throws:
    `IOException`

### acceptsDocsOutOfOrder

    public boolean acceptsDocsOutOfOrder()

  Specified by:
    `acceptsDocsOutOfOrder` in class `Collector`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.